> ## Documentation Index
> Fetch the complete documentation index at: https://docs.konnectnxt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bank Account (Advance)

> Verifies a bank account using account number and date of birth.

This API verifies the details of a bank account associated with an individual. It requires the following input parameters:

* **Account Number**: The bank account number to be verified.
* **IFSC**: The Indian Financial System Code of the bank branch.

### Optional Feature

* **Name Match Verification**: Optionally, the API can perform a name match verification.

* **Penny Drop**: Optionally, the API can perform a penny drop to the account to be verified.

***

### 400 Response Messages

#### Account Number Errors

* `account_number` is required.
* `account_number` must be a string.
* `account_number` must be at least 9 character long.
* Account number must contain only numeric characters.

#### IFSC Errors

* `ifsc` is required.
* `ifsc` must be a string.
* `ifsc` must be exactly 11 characters long.
* Invalid IFSC format. Example: 'SBIN0001234'.

#### Name Errors

* `name` must be a string.
* `name` is invalid.
* Name must not contain special characters or numbers.

#### Payload Errors

* Payload is missing.


## OpenAPI

````yaml POST /verification/bank-verification-advance
openapi: 3.0.0
info:
  title: KonnectNXT API Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://bgv.konnectnxt.com/api
    description: Production
  - url: https://testbgv.konnectnxt.com/api
    description: QA
security:
  - bearerAuth: []
paths:
  /verification/bank-verification-advance:
    post:
      tags:
        - Financial Verification
        - Bank Account
      summary: Verify Bank Account (Advance)
      description: Verifies a bank account using account number and date of birth.
      operationId: verifyBankAccountAdvance
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                account_number:
                  type: string
                  minLength: 9
                  example: '380234932948989'
                  description: >-
                    - Account Number must be in the format XXXXXXXXXXXXXXX

                    - It should not contain all identical digits in the numeric
                    part.

                    - Min Length: 9
                ifsc:
                  type: string
                  maxLength: 11
                  minLength: 11
                  example: SBIN0001234
                  description: >-
                    - IFSC code must be exactly 11 characters long.

                    - It should follow the format: 4 letters, followed by 0,
                    followed by 6 alphanumeric characters.
                name:
                  type: string
                  pattern: ^[a-zA-Z\s]*$
                  example: John Doe
                  description: Optional. Must not contain special characters or numbers.
                is_penny_drop:
                  type: boolean
                  description: >-
                    Optional. If true, then penny will be dropped to the account
                    to be verified.
                  example: false
                  default: false
              required:
                - account_number
                - ifsc
      responses:
        '200':
          description: Successful response with bank account details.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/APIBaseResponse'
                  - type: object
                    required:
                      - data
                    properties:
                      data:
                        type: object
                        properties:
                          case_id:
                            type: string
                            example: 04975bedcf4f464d8c29ed473eeeff3a
                          beneficiary_name:
                            type: string
                            example: JOHN DOE
                          verification_status:
                            type: string
                            example: VERIFIED
                          name_match_score:
                            type: string
                            example: '100.00'
                          ifscDetails:
                            type: object
                            properties:
                              ifsc:
                                type: string
                                example: ABCD0123456
                              name:
                                type: string
                                example: Example Bank
                              branch:
                                type: string
                                example: MAIN BRANCH
                              center:
                                type: string
                                example: MAIN CENTER
                              district:
                                type: string
                                example: CENTRAL DISTRICT
                              state:
                                type: string
                                example: STATE NAME
                              address:
                                type: string
                                example: 123 Example Street, Area, City, 123456
                              contact:
                                type: string
                                example: '+911234567890'
                              imps:
                                type: boolean
                                example: true
                              rtgs:
                                type: boolean
                                example: true
                              city:
                                type: string
                                example: EXAMPLE CITY
                              iso3166:
                                type: string
                                example: IN-XX
                              neft:
                                type: boolean
                                example: true
                              micr:
                                type: string
                                example: '123456789'
                              upi:
                                type: boolean
                                example: true
                              swift:
                                type: string
                                example: ''
                            required:
                              - ifsc
                              - name
                              - branch
                              - center
                              - district
                              - state
                              - address
                              - contact
                              - imps
                              - rtgs
                              - city
                              - iso3166
                              - neft
                              - micr
                              - upi
                              - swift
                        required:
                          - case_id
                          - beneficiary_name
                          - verification_status
                          - name_match_score
                          - ifscDetails
                  - $ref: '#/components/schemas/Credits'
              examples:
                Success:
                  summary: Successful response with account details.
                  value:
                    status: success
                    code: 200
                    message: Data Fetched Successfully.
                    data:
                      case_id: '12345'
                      beneficiary_name: JOHN DOE
                      verification_status: VERIFIED
                      name_match_score: '100.00'
                      ifscDetails:
                        ifsc: ABCD0123456
                        name: Example Bank
                        branch: MAIN BRANCH
                        center: MAIN CENTER
                        district: CENTRAL DISTRICT
                        state: STATE NAME
                        address: 123 Example Street, Area, City, 123456
                        contact: '+911234567890'
                        imps: true
                        rtgs: true
                        city: EXAMPLE CITY
                        iso3166: IN-XX
                        neft: true
                        micr: '123456789'
                        upi: true
                        swift: ''
                    credits_used: 1
                    credits_remaining: 9999
        '400':
          $ref: '#/components/responses/400_WithCredits'
          description: Bad request due to invalid input data.
          content:
            application/json:
              examples:
                Missing Account Number:
                  summary: '`account_number` is required.'
                  value:
                    status: error
                    code: 400
                    message: '`account_number` is required.'
                    data: null
                    credits_used: 0
                    credits_remaining: 8858
                Null Account Number:
                  summary: '`account_number` must be a string.'
                  value:
                    status: error
                    code: 400
                    message: '`account_number` must be a string.'
                    data: null
                    credits_used: 0
                    credits_remaining: 8858
                Invalid Account Number Format:
                  summary: Account number must contain only numeric characters.
                  value:
                    status: error
                    code: 400
                    message: Account number must contain only numeric characters.
                    data: null
                    credits_used: 0
                    credits_remaining: 8858
                Short Account Number:
                  summary: '`account_number` must be at least 9 character long.'
                  value:
                    status: error
                    code: 400
                    message: '`account_number` must be at least 9 character long.'
                    data: null
                    credits_used: 0
                    credits_remaining: 8858
                Missing IFSC:
                  summary: '`ifsc` is required.'
                  value:
                    status: error
                    code: 400
                    message: '`ifsc` is required.'
                    data: null
                    credits_used: 0
                    credits_remaining: 8858
                Null IFSC:
                  summary: '`ifsc` must be a string.'
                  value:
                    status: error
                    code: 400
                    message: '`ifsc` must be a string.'
                    data: null
                    credits_used: 0
                    credits_remaining: 8858
                Invalid IFSC Length:
                  summary: '`ifsc` must be exactly 11 characters long.'
                  value:
                    status: error
                    code: 400
                    message: '`ifsc` must be exactly 11 characters long.'
                    data: null
                    credits_used: 0
                    credits_remaining: 8858
                Invalid IFSC Format:
                  summary: 'Invalid IFSC format. Example: ''SBIN0001234''.'
                  value:
                    status: error
                    code: 400
                    message: 'Invalid IFSC format. Example: ''SBIN0001234''.'
                    data: null
                    credits_used: 0
                    credits_remaining: 8858
                Null Name:
                  summary: Name must be a string.
                  value:
                    status: error
                    code: 400
                    message: '`name` must be a string.'
                    data: null
                    credits_used: 0
                    credits_remaining: 8858
                Invalid Name:
                  summary: Invalid Format of the Name.
                  value:
                    status: error
                    code: 400
                    message: '`name` is invalid.'
                    data: null
                    credits_used: 0
                    credits_remaining: 8858
                Special Characters in Name:
                  summary: Name must not contain special characters or numbers.
                  value:
                    status: error
                    code: 400
                    message: Name must not contain special characters or numbers.
                    data: null
                    credits_used: 0
                    credits_remaining: 8858
                Missing payload:
                  summary: Payload is missing.
                  value:
                    status: error
                    code: 400
                    message: Payload is missing.
                    data: null
                    credits_used: 0
                    credits_remaining: 8858
        '401':
          $ref: '#/components/responses/401'
        '402':
          $ref: '#/components/responses/402'
        '403':
          $ref: '#/components/responses/403'
        '404':
          description: No Records Found
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/APIBaseResponse'
                  - type: object
                    required:
                      - data
                    properties:
                      data:
                        type: object
                        required:
                          - case_id
                        properties:
                          case_id:
                            $ref: '#/components/schemas/CaseId'
                  - $ref: '#/components/schemas/Credits'
              examples:
                No records found:
                  summary: No records Found
                  value:
                    status: error
                    code: 404
                    message: No records found.
                    data:
                      case_id: 8a3b2d79e91c4ff1b2e97b9f2b36c123
                    credits_used: 0
                    credits_remaining: 499
        '500':
          $ref: '#/components/responses/500_WithCredits'
          description: Internal server error.
components:
  schemas:
    APIBaseResponse:
      type: object
      required:
        - status
        - code
        - message
      properties:
        status:
          $ref: '#/components/schemas/APIStatus'
        code:
          $ref: '#/components/schemas/HTTPCode'
        message:
          $ref: '#/components/schemas/APIMessage'
    Credits:
      type: object
      properties:
        credits_used:
          $ref: '#/components/schemas/CreditsUsed'
        credits_left:
          $ref: '#/components/schemas/CreditsLeft'
      required:
        - credits_used
        - credits_left
    CaseId:
      required:
        - case_id
      type: string
      description: Unique Case Id for BGV
    APIStatus:
      type: string
      enum:
        - success
        - error
      description: Overall status of the API
    HTTPCode:
      type: integer
      description: HTTP status code
      example: 400
    APIMessage:
      type: string
      description: Description of the response or error
      example: Invalid request parameters
    CreditsUsed:
      type: integer
      description: Represents the total number of credits used in this request.
      example: 3
    CreditsLeft:
      type: integer
      description: 'Represents the remaining credits available for use. '
      example: 4040
    Error:
      allOf:
        - $ref: '#/components/schemas/APIBaseResponse'
    APIErrorData:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Error'
              - $ref: '#/components/schemas/APIErrorData'
          examples:
            Missing Token:
              summary: Bearer token is missing or invalid.
              value:
                status: error
                code: 401
                message: Bearer token is missing or invalid.
                data: null
            Incorrect Token Format:
              summary: Token format is incorrect
              value:
                status: error
                code: 401
                message: Token format is incorrect
                data: null
            No Admin Found:
              summary: No admin found for this request
              value:
                status: error
                code: 401
                message: No admin user found for this organization
                data: null
            Invalid API Key:
              summary: Invalid API Key
              value:
                status: error
                code: 401
                message: Invalid API key (organization ID)
                data: null
            User not Found:
              summary: User not found
              value:
                status: error
                code: 401
                message: User not found.
                data: null
    '402':
      description: Payment Required
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Error'
              - $ref: '#/components/schemas/APIErrorData'
          examples:
            Credit Limit Exceed:
              summary: Credit Limit Exceeded.
              value:
                status: error
                code: 402
                message: Credit Limit Exceeded.
                data: null
            Insufficient Credits:
              summary: Insufficient credits
              value:
                status: error
                code: 402
                message: 'Insufficient credits: 2 required, 1 remaining.'
                data: null
    '403':
      description: Forbidden
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Error'
              - $ref: '#/components/schemas/APIErrorData'
          examples:
            Token Revoked:
              summary: Token access has been Revoked, Contact Support.
              value:
                status: error
                code: 403
                message: Token access has been Revoked, Contact Support.
                data: null
            Token Inactive:
              summary: Token is Inactive, Contact Support.
              value:
                status: error
                code: 403
                message: Token is Inactive, Contact Support.
                data: null
    400_WithCredits:
      description: Bad Request
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Error'
              - $ref: '#/components/schemas/APIErrorData'
              - $ref: '#/components/schemas/Credits'
    500_WithCredits:
      description: Internal Server Error
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Error'
              - $ref: '#/components/schemas/APIErrorData'
              - $ref: '#/components/schemas/Credits'
          examples:
            Internal Server Error:
              summary: Internal Server Error.
              value:
                status: error
                code: 500
                message: Internal Server Error.
                data: null
                credits_used: 3
                credits_remaining: 178
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key issued by KonnectNXT. Pass as `Authorization: Bearer
        <your_api_key>`.

````